Bug 1648116 - radeon caicos family GPU locks up in ring 0 after update to 7.6
Summary: radeon caicos family GPU locks up in ring 0 after update to 7.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-ati
Version: 7.6
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Dave Airlie
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1652530 1663307
TreeView+ depends on / blocked
 
Reported: 2018-11-08 21:09 UTC by Joe Wright
Modified: 2019-08-06 12:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1652530 (view as bug list)
Environment:
Last Closed: 2019-08-06 12:42:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
xorg log (46.59 KB, text/plain)
2018-11-08 21:09 UTC, Joe Wright
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2079 None None None 2019-08-06 12:43:10 UTC

Description Joe Wright 2018-11-08 21:09:53 UTC
Created attachment 1503471 [details]
xorg log

Description of problem:
- GPU locks up in ring 0 when trying to log in to gnome

Version-Release number of selected component (if applicable):
- mesa 18.0.5-3
- kernel 3.10.0-957.el7.x86_64
- gnome-shell-3.28.3-6.el7.x86_64
- gdm-3.28.2-10.el7.x86_64 
- 

How reproducible:
- by customer

Steps to Reproduce:
1. Boot system after updating to 7.6
2. log in to the desktop 
3. hangs at GDM login with a lockup in ring 0

Actual results:
- GPU crash

Expected results:
- Doesnt crash

Additional info:
- Xorg log in attachment x11-drv-ati.txt
- Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450 / R5 230 OEM] [1002:6779]

Comment 3 Dave Airlie 2018-11-09 01:20:15 UTC
http://download.bne.redhat.com/brewroot/scratch/airlied/task_19124789/

has a scratch build, it would be nice to have the customer test it.

Comment 4 Andrew Mike 2018-11-19 18:40:28 UTC
Customer confirms that the test package suite fixes the issue.

Comment 13 errata-xmlrpc 2019-08-06 12:42:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2079


Note You need to log in before you can comment on or make changes to this bug.